## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           fpart
Version:        1.7.0
Release:        %autorelease
Summary:        Helps you sort file trees and pack them into bags
# main source is BSD-2-Clause
# src/fts.c and src/fts.h are BSD-3-Clause
License:        BSD-2-Clause AND BSD-3-Clause
URL:            https://fpart.org
Source:         https://github.com/martymac/fpart/archive/fpart-%{version}.tar.gz

BuildRequires:  gcc autoconf automake
BuildRequires:  make

%description
Fpart is a Filesystem partitioner.  It helps you sort file trees and pack them
into bags (called "partitions").  It is developed in C and available under the
BSD license.


%prep
%autosetup -n fpart-fpart-%{version}


%build
autoreconf --install
%configure
%make_build


%install
%make_install


%files
%license COPYING
%doc docs/www.fpart.org/docs/changelog.md README.md
%{_mandir}/man1/fpart.1*
%{_mandir}/man1/fpsync.1*
%{_bindir}/fpart
%{_bindir}/fpsync


%changelog
## START: Generated by rpmautospec
* Sat Mar 29 2025 Carl George <carlwgeorge@fedoraproject.org> - 1.7.0-1
- Update to version 1.7.0 rhbz#2259786
- Switch license field to SPDX notation

* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Wed Aug 28 2024 Miroslav Suchý <msuchy@redhat.com> - 1.5.1-8
- convert license to SPDX

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jun 24 2022 survient@fedoraproject.org - 1.5.1-1
- Latest upstream release.

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Oct 04 2021 Sam P <survient@fedoraproject.org> - 1.4.0-1
- new version

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Mon Jan 13 2020 survient@fedoraproject.org - 1.2.0-1
- Version 1.2.0

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Mon Nov 19 2018 Sam P <survient@fedoraproject.org> - 1.1.0-2
- cleaned up prep and build sections
- trued up changelog entries
- corrected desciption
- added missing weak dependencies

* Fri Nov 16 2018 Sam P <survient@fedoraproject.org> - 1.1.0-1
- repackaged to stable release version 1.1.0

* Fri Nov 16 2018 Ganael Laplanche <ganael.laplanche@martymac.org> - 1.1.0
- Version 1.1.0

* Mon Nov 12 2018 Sam P <survient@fedoraproject.org> - 1.0.0-4.20181109git57f49f5
- pulled down latest snapshot which merged patch

* Wed Oct 31 2018 Sam P <survient@fedoraproject.org> - 1.0.0-3.20181022git130f8fd
- added patch for autoconf version for EL6 compatibility

* Wed Oct 31 2018 Sam P <survient@fedoraproject.org> - 1.0.0-3.20181022git130f8fd
- updated to snapshot 130f8fdadf2bbcc3cdaad479a356e8d0e3f6f041

* Thu Apr 19 2018 Sam P <survient@fedoraproject.org> - 1.0.0-2
- Used %%buildroot macro
- Correctly marked license
- Other small packaging corrections

* Fri Nov 10 2017 Ganael Laplanche <ganael.laplanche@martymac.org> - 1.0.0
- Version 1.0.0

* Thu Apr 27 2017 Ganael Laplanche <ganael.laplanche@martymac.org> - 0.9.3
- Version 0.9.3

* Tue Feb 17 2015 Ganael Laplanche <ganael.laplanche@martymac.org> - 0.9.2
- Version 0.9.2

* Mon Feb 16 2015 Tru Huynh <tru@pasteur.fr> - 0.9.1
- Initial build of the package.

## END: Generated by rpmautospec
